Skip to main content

Batch Create Resident Charges: Rent Manager

POSThttps://api.propexo.com/v1/resident-charges/batch/rentmanager/

Creates multiple resident charges in one job. All charges must resolve to the same Rent Manager location; use separate requests for charges in different locations.

Method
POST /Charges
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    charges object[]required

    Array of resident charges to create. All charges must resolve to the same Rent Manager location.

    Possible values: >= 1

  • Array [
  • resident_idstringrequired

    The Propexo unique identifier for the resident

    charge_code_idstringrequired

    The Propexo unique identifier for the charge code

    transaction_datestring<date-time>required

    The transaction date of the resident charge

    notesstringrequired

    Notes associated with the resident charge

    amount_in_centsintegerrequired

    The amount of the resident charge, in cents

    reference_numberstringrequired

    The reference number for the resident charge

  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired
    charges object[]required
  • Array [
  • resident_idstringrequired

    The Propexo unique identifier for the resident

    charge_code_idstringrequired

    The Propexo unique identifier for the charge code

    transaction_datestring<date-time>required

    The transaction date of the resident charge

    notesstringrequired

    Notes associated with the resident charge

    amount_in_centsintegerrequired

    The amount of the resident charge, in cents

    reference_numberstringrequired

    The reference number for the resident charge

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/resident-charges/batch/rentmanager/
curl -X POST https://api.propexo.com/v1/resident-charges/batch/rentmanager/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"charges": [
{
"resident_id": "string",
"charge_code_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"amount_in_cents": 0,
"reference_number": "string"
}
]
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"charges": [
{
"resident_id": "string",
"charge_code_id": "string",
"transaction_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"amount_in_cents": 0,
"reference_number": "string"
}
]
}
}